#include <stdio.h>
#include <dirent.h>
#include <errno.h>
#include <vector>
#include <algorithm>
#include "pHash.h"

using namespace std;

#define TRUE 1
#define FALSE 0

int main(int argc, char **argv){
	char *fileA = "/home/christoph/tmp/tests/a/00.jpg";
	char *fileB = "/home/christoph/tmp/tests/b/00.jpg";
	Digest digA;
	Digest digB;

	ph_image_digest(fileA, 1.0, 1.0, digA, 180);
	ph_image_digest(fileB, 1.0, 1.0, digB, 180);

	double pcc;
    ph_crosscorr(digA, digB, pcc, 0.90);

	printf("PCC is %f\n",pcc);

    return 0;
}
